% make_data_files.m
% This script converts the MIT CBCL face database to a .mat file.
% Unfortunately the database cannot be redistributed, so it is
% necessary that you download it yourself from 
% http://cbcl.mit.edu/projects/cbcl/software-datasets/faces.tar.gz
%
% This script should to everything in Linux, but I'm not sure
% about windows.
%
% Author: David Ross

if ~exist('faces.tar.gz')
    disp(['please download the file ' ...
          'http://cbcl.mit.edu/projects/cbcl/software-datasets/faces.tar.gz' ...
          ' to the current directory, and rerun make_data_files']);
      return
end


%% unpack the files
if isunix
    !tar xzf faces.tar.gz
    !rm -f svm.train.normgrey svm.test.normgrey README
    !tar xzf face.train.tar.gz
    !tar xzf face.test.tar.gz
end


%% read in the images
try mex simple_histeq.c
catch warning('"mex simple_histeq.c" failed'); end
addpath(pwd);

% faces_train
cd train/face;
faces_train = read_images;
cd ../.. ;
save faces_train_histeq.mat faces_train;
clear faces_train;

% faces_test
cd test/face;
faces_test = read_images;
cd ../.. ;
save faces_test_histeq.mat faces_test;
clear faces_test;


%% remove the .pgms
if isunix
    !rm -rf train test
    !rm -f face.train.tar.gz face.test.tar.gz
end


