function plot_m(M)
%PLOT_DATA displays all the training data
%   where data is of the form used by MCVQ
%
%   Author: David Ross

%---------------------------------------
% check the input
%---------------------------------------
error(nargchk(1,1,nargin));


%---------------------------------------
% determine the number of plots & size 
% of each image
%---------------------------------------
[J K C] = size(M);

% choose the number of subplots so we can draw all
% C images in a square
subplot_size = ceil(sqrt(C));


%-----------------------------------------------
% Set the figure's properties.
%-----------------------------------------------
set(gcf, 'NumberTitle', 'off', 'MenuBar', 'none', 'Name', 'M'); 


%---------------------------------------
% draw the plots
%---------------------------------------

%-- This takes much too long for large c.
% plot_number = 1;
% for c = 1:C
%     my_subplot(subplot_size, subplot_size, plot_number);
%     plot_number = plot_number + 1;
%     imagesc(M(:,:,c)',[0 1]);      
%     colormap('gray');
%     set(gca, 'Visible', 'off');     
% end

imagesc(mean(M,3)',[0 1]);
title('Mean value of M across the training examples');

ylabel('VQ k');
set(gca,'YTick',1:K)

xlabel('component j');
set(gca,'XTick',1:J);
colorbar;
