% test_faces.m - Run mcfa on the MIT faces data.
%
% Author: David Ross
% $Id$

%-----------------------------------------------------------
% Constants specifying the parameters for the experiment.
%-----------------------------------------------------------

C = 2429;         % number of examples to use - 2429 is the max
K = 8;            % number of VQ's
J = 6;            % components per VQ
iterations = 60;  % # of EM iterations 

width = 19;       % dimensions of image
height = 19;
image_size = [width height];

data_path = '';
if which('home_directory')
    data_path = [home_directory '/datasets/faces/'];
end


%---------------------------------------
% Generate the training data matrix.
%---------------------------------------

data_file = [data_path 'faces_train_histeq.mat'];
load(data_file);
C = size(faces_train,2);
data = faces_train;
clear faces_train;

%---------------------------------------
% Run the test
%---------------------------------------

[lambda, mu, psi, aa, gg, mm, ff] = mcfa(data, K, J, iterations);


%---------------------------------------
% Report on the results
%---------------------------------------

plot_everything;
